org.eclipse.emf.cdo.server.hibernate

## Class CDOHibernateUtil

- java.lang.Object
- - org.eclipse.emf.cdo.server.hibernate.CDOHibernateUtil

-     public final class CDOHibernateUtil
      extends Object

  Various static methods that may help in setting up and dealing with `Hibernate stores`.
  Author:
    Eike Stepper, Martin Taal

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IHibernateStore` | `createStore(IHibernateMappingProvider mappingProvider)`
    `static IHibernateMappingProvider.Factory` | `getMappingProviderFactoryInstance()`
    `static void` | `setMappingProviderFactoryInstance(IHibernateMappingProvider.Factory theMappingProviderFactoryInstance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMappingProviderFactoryInstance

          public static IHibernateMappingProvider.Factory getMappingProviderFactoryInstance()

      Since:
        4.1

    - #### setMappingProviderFactoryInstance

          public static void setMappingProviderFactoryInstance(IHibernateMappingProvider.Factory theMappingProviderFactoryInstance)

      Since:
        4.1

    - #### createStore

          public static IHibernateStore createStore(IHibernateMappingProvider mappingProvider)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html